Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conflx.F90	(revision 5142)
@@ -961,26 +958,28 @@
     IF (ldcum(i)) THEN
       k = kctop(i) - 1
-      pde_u(i, k) = (1.-cmfctop)*pmfu(i, k+1)
-      plude(i, k) = pde_u(i, k)*plu(i, k+1)
-      pmfu(i, k) = pmfu(i, k+1) - pde_u(i, k)
+      pde_u(i, k) = (1. - cmfctop) * pmfu(i, k + 1)
+      plude(i, k) = pde_u(i, k) * plu(i, k + 1)
+      pmfu(i, k) = pmfu(i, k + 1) - pde_u(i, k)
       zlnew = plu(i, k)
-      pdmfup(i, k) = max(0., (plu(i,k)-zlnew)*pmfu(i,k))
+      pdmfup(i, k) = max(0., (plu(i, k) - zlnew) * pmfu(i, k))
       plu(i, k) = zlnew
-      pmfus(i, k) = (rcpd*ptu(i,k)+pgeoh(i,k))*pmfu(i, k)
-      pmfuq(i, k) = pqu(i, k)*pmfu(i, k)
-      pmful(i, k) = plu(i, k)*pmfu(i, k)
-      plude(i, k-1) = pmful(i, k)
+      pmfus(i, k) = (rcpd * ptu(i, k) + pgeoh(i, k)) * pmfu(i, k)
+      pmfuq(i, k) = pqu(i, k) * pmfu(i, k)
+      pmful(i, k) = plu(i, k) * pmfu(i, k)
+      plude(i, k - 1) = pmful(i, k)
     END IF
   END DO
 
-800 CONTINUE
+  800 CONTINUE
 
 END SUBROUTINE flxasc
 SUBROUTINE flxflux(pdtime, pqen, pqsen, ptenh, pqenh, pap, paph, ldland, &
-    pgeoh, kcbot, kctop, lddraf, kdtop, ktype, ldcum, pmfu, pmfd, pmfus, &
-    pmfds, pmfuq, pmfdq, pmful, plude, pdmfup, pdmfdp, pten, prfl, psfl, &
-    pdpmel, ktopm2, pmflxr, pmflxs)
+        pgeoh, kcbot, kctop, lddraf, kdtop, ktype, ldcum, pmfu, pmfd, pmfus, &
+        pmfds, pmfuq, pmfdq, pmful, plude, pdmfup, pdmfdp, pten, prfl, psfl, &
+        pdpmel, ktopm2, pmflxr, pmflxs)
   USE dimphy
   USE lmdz_print_control, ONLY: prt_level
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -990,5 +989,4 @@
   include "YOMCST.h"
   include "YOETHF.h"
-  include "YOECUMF.h"
 
   REAL cevapcu(klon, klev)
@@ -996,5 +994,5 @@
   REAL pqen(klon, klev), pqenh(klon, klev), pqsen(klon, klev)
   REAL pten(klon, klev), ptenh(klon, klev)
-  REAL paph(klon, klev+1), pgeoh(klon, klev)
+  REAL paph(klon, klev + 1), pgeoh(klon, klev)
 
   REAL pap(klon, klev)
@@ -1011,5 +1009,5 @@
   REAL pdmfdp(klon, klev), maxpdmfdp(klon, klev)
   REAL prfl(klon), psfl(klon)
-  REAL pmflxr(klon, klev+1), pmflxs(klon, klev+1)
+  REAL pmflxr(klon, klev + 1), pmflxs(klon, klev + 1)
   INTEGER kcbot(klon), kctop(klon), ktype(klon)
   LOGICAL ldland(klon), ldcum(klon)
@@ -1028,6 +1026,6 @@
   DO k = 1, klev
     DO i = 1, klon
-      cevapcu(i, k) = 1.93E-6*261.*sqrt(1.E3/(38.3*0.293)*sqrt(0.5*(paph(i,k) &
-        +paph(i,k+1))/paph(i,klev+1)))*0.5/rg
+      cevapcu(i, k) = 1.93E-6 * 261. * sqrt(1.E3 / (38.3 * 0.293) * sqrt(0.5 * (paph(i, k) &
+              + paph(i, k + 1)) / paph(i, klev + 1))) * 0.5 / rg
     END DO
   END DO
@@ -1035,6 +1033,6 @@
   ! SPECIFY CONSTANTS
 
-  zcons1 = rcpd/(rlmlt*rg*pdtime)
-  zcons2 = 1./(rg*pdtime)
+  zcons1 = rcpd / (rlmlt * rg * pdtime)
+  zcons2 = 1. / (rg * pdtime)
   zcucov = 0.05
   ztmelp2 = rtt + 2.
@@ -1052,7 +1050,7 @@
   DO k = ktopm2, klev
     DO i = 1, klon
-      IF (ldcum(i) .AND. k>=kctop(i)-1) THEN
-        pmfus(i, k) = pmfus(i, k) - pmfu(i, k)*(rcpd*ptenh(i,k)+pgeoh(i,k))
-        pmfuq(i, k) = pmfuq(i, k) - pmfu(i, k)*pqenh(i, k)
+      IF (ldcum(i) .AND. k>=kctop(i) - 1) THEN
+        pmfus(i, k) = pmfus(i, k) - pmfu(i, k) * (rcpd * ptenh(i, k) + pgeoh(i, k))
+        pmfuq(i, k) = pmfuq(i, k) - pmfu(i, k) * pqenh(i, k)
         zdp = 1.5E4
         IF (ldland(i)) zdp = 3.E4
@@ -1062,15 +1060,15 @@
         ! evaporee dans l'environnement)
 
-        IF (paph(i,kcbot(i))-paph(i,kctop(i))>=zdp .AND. pqen(i,k-1)>0.8* &
-          pqsen(i,k-1)) pdmfup(i, k-1) = pdmfup(i, k-1) + plude(i, k-1)
+        IF (paph(i, kcbot(i)) - paph(i, kctop(i))>=zdp .AND. pqen(i, k - 1)>0.8 * &
+                pqsen(i, k - 1)) pdmfup(i, k - 1) = pdmfup(i, k - 1) + plude(i, k - 1)
 
         IF (lddraf(i) .AND. k>=kdtop(i)) THEN
-          pmfds(i, k) = pmfds(i, k) - pmfd(i, k)*(rcpd*ptenh(i,k)+pgeoh(i,k))
-          pmfdq(i, k) = pmfdq(i, k) - pmfd(i, k)*pqenh(i, k)
+          pmfds(i, k) = pmfds(i, k) - pmfd(i, k) * (rcpd * ptenh(i, k) + pgeoh(i, k))
+          pmfdq(i, k) = pmfdq(i, k) - pmfd(i, k) * pqenh(i, k)
         ELSE
           pmfd(i, k) = 0.
           pmfds(i, k) = 0.
           pmfdq(i, k) = 0.
-          pdmfdp(i, k-1) = 0.
+          pdmfdp(i, k - 1) = 0.
         END IF
       ELSE
@@ -1079,10 +1077,10 @@
         pmfuq(i, k) = 0.
         pmful(i, k) = 0.
-        pdmfup(i, k-1) = 0.
-        plude(i, k-1) = 0.
+        pdmfup(i, k - 1) = 0.
+        plude(i, k - 1) = 0.
         pmfd(i, k) = 0.
         pmfds(i, k) = 0.
         pmfdq(i, k) = 0.
-        pdmfdp(i, k-1) = 0.
+        pdmfdp(i, k - 1) = 0.
       END IF
     END DO
@@ -1093,10 +1091,10 @@
       IF (ldcum(i) .AND. k>kcbot(i)) THEN
         ikb = kcbot(i)
-        zzp = ((paph(i,klev+1)-paph(i,k))/(paph(i,klev+1)-paph(i,ikb)))
+        zzp = ((paph(i, klev + 1) - paph(i, k)) / (paph(i, klev + 1) - paph(i, ikb)))
         IF (ktype(i)==3) zzp = zzp**2
-        pmfu(i, k) = pmfu(i, ikb)*zzp
-        pmfus(i, k) = pmfus(i, ikb)*zzp
-        pmfuq(i, k) = pmfuq(i, ikb)*zzp
-        pmful(i, k) = pmful(i, ikb)*zzp
+        pmfu(i, k) = pmfu(i, ikb) * zzp
+        pmfus(i, k) = pmfus(i, ikb) * zzp
+        pmfuq(i, k) = pmfuq(i, ikb) * zzp
+        pmful(i, k) = pmful(i, ikb) * zzp
       END IF
     END DO
@@ -1116,29 +1114,29 @@
     DO i = 1, klon
       IF (ldcum(i)) THEN
-        IF (pmflxs(i,k)>0.0 .AND. pten(i,k)>ztmelp2) THEN
-          zfac = zcons1*(paph(i,k+1)-paph(i,k))
-          zsnmlt = min(pmflxs(i,k), zfac*(pten(i,k)-ztmelp2))
+        IF (pmflxs(i, k)>0.0 .AND. pten(i, k)>ztmelp2) THEN
+          zfac = zcons1 * (paph(i, k + 1) - paph(i, k))
+          zsnmlt = min(pmflxs(i, k), zfac * (pten(i, k) - ztmelp2))
           pdpmel(i, k) = zsnmlt
-          ztmsmlt = pten(i, k) - zsnmlt/zfac
-          zdelta = max(0., sign(1.,rtt-ztmsmlt))
-          zqsat = r2es*foeew(ztmsmlt, zdelta)/pap(i, k)
+          ztmsmlt = pten(i, k) - zsnmlt / zfac
+          zdelta = max(0., sign(1., rtt - ztmsmlt))
+          zqsat = r2es * foeew(ztmsmlt, zdelta) / pap(i, k)
           zqsat = min(0.5, zqsat)
-          zqsat = zqsat/(1.-retv*zqsat)
+          zqsat = zqsat / (1. - retv * zqsat)
           pqsen(i, k) = zqsat
         END IF
-        IF (pten(i,k)>rtt) THEN
-          pmflxr(i, k+1) = pmflxr(i, k) + pdmfup(i, k) + pdmfdp(i, k) + &
-            pdpmel(i, k)
-          pmflxs(i, k+1) = pmflxs(i, k) - pdpmel(i, k)
+        IF (pten(i, k)>rtt) THEN
+          pmflxr(i, k + 1) = pmflxr(i, k) + pdmfup(i, k) + pdmfdp(i, k) + &
+                  pdpmel(i, k)
+          pmflxs(i, k + 1) = pmflxs(i, k) - pdpmel(i, k)
         ELSE
-          pmflxs(i, k+1) = pmflxs(i, k) + pdmfup(i, k) + pdmfdp(i, k)
-          pmflxr(i, k+1) = pmflxr(i, k)
+          pmflxs(i, k + 1) = pmflxs(i, k) + pdmfup(i, k) + pdmfdp(i, k)
+          pmflxr(i, k + 1) = pmflxr(i, k)
         END IF
         ! si la precipitation est negative, on ajuste le plux du
         ! panache descendant pour eliminer la negativite
-        IF ((pmflxr(i,k+1)+pmflxs(i,k+1))<0.0) THEN
+        IF ((pmflxr(i, k + 1) + pmflxs(i, k + 1))<0.0) THEN
           pdmfdp(i, k) = -pmflxr(i, k) - pmflxs(i, k) - pdmfup(i, k)
-          pmflxr(i, k+1) = 0.0
-          pmflxs(i, k+1) = 0.0
+          pmflxr(i, k + 1) = 0.0
+          pmflxs(i, k + 1) = 0.0
           pdpmel(i, k) = 0.0
         END IF
@@ -1174,12 +1172,12 @@
         zrfl = pmflxr(i, k) + pmflxs(i, k)
         IF (zrfl>1.0E-20) THEN
-          zrnew = (max(0.,sqrt(zrfl/zcucov)-cevapcu(i, &
-            k)*(paph(i,k+1)-paph(i,k))*max(0.,pqsen(i,k)-pqen(i,k))))**2* &
-            zcucov
-          zrmin = zrfl - zcucov*max(0., 0.8*pqsen(i,k)-pqen(i,k))*zcons2*( &
-            paph(i,k+1)-paph(i,k))
+          zrnew = (max(0., sqrt(zrfl / zcucov) - cevapcu(i, &
+                  k) * (paph(i, k + 1) - paph(i, k)) * max(0., pqsen(i, k) - pqen(i, k))))**2 * &
+                  zcucov
+          zrmin = zrfl - zcucov * max(0., 0.8 * pqsen(i, k) - pqen(i, k)) * zcons2 * (&
+                  paph(i, k + 1) - paph(i, k))
           zrnew = max(zrnew, zrmin)
           zrfln = max(zrnew, 0.)
-          zdrfl = min(0., zrfln-zrfl)
+          zdrfl = min(0., zrfln - zrfl)
           ! jq At least the amount of precipiation needed to feed the
           ! downdraft
@@ -1187,10 +1185,10 @@
           ! can't
           ! jq be evaporated (surely the evaporation can't be positive):
-          zdrfl = max(zdrfl, min(-pmflxr(i,k)-pmflxs(i,k)-maxpdmfdp(i, &
-            k),0.0))
+          zdrfl = max(zdrfl, min(-pmflxr(i, k) - pmflxs(i, k) - maxpdmfdp(i, &
+                  k), 0.0))
           ! jq End of insertion
 
-          zdenom = 1.0/max(1.0E-20, pmflxr(i,k)+pmflxs(i,k))
-          IF (pten(i,k)>rtt) THEN
+          zdenom = 1.0 / max(1.0E-20, pmflxr(i, k) + pmflxs(i, k))
+          IF (pten(i, k)>rtt) THEN
             zpdr = pdmfdp(i, k)
             zpds = 0.0
@@ -1199,31 +1197,32 @@
             zpds = pdmfdp(i, k)
           END IF
-          pmflxr(i, k+1) = pmflxr(i, k) + zpdr + pdpmel(i, k) + &
-            zdrfl*pmflxr(i, k)*zdenom
-          pmflxs(i, k+1) = pmflxs(i, k) + zpds - pdpmel(i, k) + &
-            zdrfl*pmflxs(i, k)*zdenom
+          pmflxr(i, k + 1) = pmflxr(i, k) + zpdr + pdpmel(i, k) + &
+                  zdrfl * pmflxr(i, k) * zdenom
+          pmflxs(i, k + 1) = pmflxs(i, k) + zpds - pdpmel(i, k) + &
+                  zdrfl * pmflxs(i, k) * zdenom
           pdmfup(i, k) = pdmfup(i, k) + zdrfl
         ELSE
-          pmflxr(i, k+1) = 0.0
-          pmflxs(i, k+1) = 0.0
+          pmflxr(i, k + 1) = 0.0
+          pmflxs(i, k + 1) = 0.0
           pdmfdp(i, k) = 0.0
           pdpmel(i, k) = 0.0
         END IF
-        IF (pmflxr(i,k)+pmflxs(i,k)<-1.E-26 .AND. prt_level>=1) WRITE (*, *) &
-          'precip. < 1e-16 ', pmflxr(i, k) + pmflxs(i, k)
-      END IF
-    END DO
-  END DO
-
-  DO i = 1, klon
-    prfl(i) = pmflxr(i, klev+1)
-    psfl(i) = pmflxs(i, klev+1)
-  END DO
-
+        IF (pmflxr(i, k) + pmflxs(i, k)<-1.E-26 .AND. prt_level>=1) WRITE (*, *) &
+                'precip. < 1e-16 ', pmflxr(i, k) + pmflxs(i, k)
+      END IF
+    END DO
+  END DO
+
+  DO i = 1, klon
+    prfl(i) = pmflxr(i, klev + 1)
+    psfl(i) = pmflxs(i, klev + 1)
+  END DO
 
 END SUBROUTINE flxflux
 SUBROUTINE flxdtdq(pdtime, ktopm2, paph, ldcum, pten, pmfus, pmfds, pmfuq, &
-    pmfdq, pmful, pdmfup, pdmfdp, pdpmel, dt_con, dq_con)
+        pmfdq, pmful, pdmfup, pdmfdp, pdpmel, dt_con, dq_con)
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -1232,9 +1231,8 @@
   include "YOMCST.h"
   include "YOETHF.h"
-  include "YOECUMF.h"
   ! -----------------------------------------------------------------
   LOGICAL llo1
 
-  REAL pten(klon, klev), paph(klon, klev+1)
+  REAL pten(klon, klev), paph(klon, klev + 1)
   REAL pmfus(klon, klev), pmfuq(klon, klev), pmful(klon, klev)
   REAL pmfds(klon, klev), pmfdq(klon, klev)
@@ -1254,13 +1252,13 @@
     DO i = 1, klon
       IF (ldcum(i)) THEN
-        llo1 = (pten(i,k)-rtt) > 0.
+        llo1 = (pten(i, k) - rtt) > 0.
         zalv = rlstt
         IF (llo1) zalv = rlvtt
-        zdtdt = rg/(paph(i,k+1)-paph(i,k))/rcpd*(pmfus(i,k+1)-pmfus(i,k)+ &
-          pmfds(i,k+1)-pmfds(i,k)-rlmlt*pdpmel(i,k)-zalv*(pmful(i, &
-          k+1)-pmful(i,k)-pdmfup(i,k)-pdmfdp(i,k)))
+        zdtdt = rg / (paph(i, k + 1) - paph(i, k)) / rcpd * (pmfus(i, k + 1) - pmfus(i, k) + &
+                pmfds(i, k + 1) - pmfds(i, k) - rlmlt * pdpmel(i, k) - zalv * (pmful(i, &
+                k + 1) - pmful(i, k) - pdmfup(i, k) - pdmfdp(i, k)))
         dt_con(i, k) = zdtdt
-        zdqdt = rg/(paph(i,k+1)-paph(i,k))*(pmfuq(i,k+1)-pmfuq(i,k)+pmfdq(i,k &
-          +1)-pmfdq(i,k)+pmful(i,k+1)-pmful(i,k)-pdmfup(i,k)-pdmfdp(i,k))
+        zdqdt = rg / (paph(i, k + 1) - paph(i, k)) * (pmfuq(i, k + 1) - pmfuq(i, k) + pmfdq(i, k &
+                + 1) - pmfdq(i, k) + pmful(i, k + 1) - pmful(i, k) - pdmfup(i, k) - pdmfdp(i, k))
         dq_con(i, k) = zdqdt
       END IF
@@ -1271,21 +1269,22 @@
   DO i = 1, klon
     IF (ldcum(i)) THEN
-      llo1 = (pten(i,k)-rtt) > 0.
+      llo1 = (pten(i, k) - rtt) > 0.
       zalv = rlstt
       IF (llo1) zalv = rlvtt
-      zdtdt = -rg/(paph(i,k+1)-paph(i,k))/rcpd*(pmfus(i,k)+pmfds(i,k)+rlmlt* &
-        pdpmel(i,k)-zalv*(pmful(i,k)+pdmfup(i,k)+pdmfdp(i,k)))
+      zdtdt = -rg / (paph(i, k + 1) - paph(i, k)) / rcpd * (pmfus(i, k) + pmfds(i, k) + rlmlt * &
+              pdpmel(i, k) - zalv * (pmful(i, k) + pdmfup(i, k) + pdmfdp(i, k)))
       dt_con(i, k) = zdtdt
-      zdqdt = -rg/(paph(i,k+1)-paph(i,k))*(pmfuq(i,k)+pmfdq(i,k)+pmful(i,k)+ &
-        pdmfup(i,k)+pdmfdp(i,k))
+      zdqdt = -rg / (paph(i, k + 1) - paph(i, k)) * (pmfuq(i, k) + pmfdq(i, k) + pmful(i, k) + &
+              pdmfup(i, k) + pdmfdp(i, k))
       dq_con(i, k) = zdqdt
     END IF
   END DO
 
-
 END SUBROUTINE flxdtdq
 SUBROUTINE flxdlfs(ptenh, pqenh, pgeoh, paph, ptu, pqu, ldcum, kcbot, kctop, &
-    pmfub, prfl, ptd, pqd, pmfd, pmfds, pmfdq, pdmfdp, kdtop, lddraf)
+        pmfub, prfl, ptd, pqd, pmfd, pmfds, pmfdq, pdmfdp, kdtop, lddraf)
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
 
@@ -1307,9 +1306,8 @@
   include "YOMCST.h"
   include "YOETHF.h"
-  include "YOECUMF.h"
 
   REAL ptenh(klon, klev)
   REAL pqenh(klon, klev)
-  REAL pgeoh(klon, klev), paph(klon, klev+1)
+  REAL pgeoh(klon, klev), paph(klon, klev + 1)
   REAL ptu(klon, klev), pqu(klon, klev)
   REAL pmfub(klon)
@@ -1354,5 +1352,5 @@
       zqenwb(i, k) = pqenh(i, k)
       llo2(i) = ldcum(i) .AND. prfl(i) > 0. .AND. .NOT. lddraf(i) .AND. &
-        (k<kcbot(i) .AND. k>kctop(i))
+              (k<kcbot(i) .AND. k>kctop(i))
       IF (llo2(i)) is = is + 1
     END DO
@@ -1360,5 +1358,5 @@
 
     iCALL = 2
-    CALL flxadjtq(paph(1,k), ztenwb(1,k), zqenwb(1,k), llo2, icall)
+    CALL flxadjtq(paph(1, k), ztenwb(1, k), zqenwb(1, k), llo2, icall)
 
     ! ----------------------------------------------------------------------
@@ -1369,10 +1367,10 @@
     DO i = 1, klon
       IF (llo2(i)) THEN
-        zttest = 0.5*(ptu(i,k)+ztenwb(i,k))
-        zqtest = 0.5*(pqu(i,k)+zqenwb(i,k))
-        zbuo = zttest*(1.+retv*zqtest) - ptenh(i, k)*(1.+retv*pqenh(i,k))
+        zttest = 0.5 * (ptu(i, k) + ztenwb(i, k))
+        zqtest = 0.5 * (pqu(i, k) + zqenwb(i, k))
+        zbuo = zttest * (1. + retv * zqtest) - ptenh(i, k) * (1. + retv * pqenh(i, k))
         zcond(i) = pqenh(i, k) - zqenwb(i, k)
-        zmftop = -cmfdeps*pmfub(i)
-        IF (zbuo<0. .AND. prfl(i)>10.*zmftop*zcond(i)) THEN
+        zmftop = -cmfdeps * pmfub(i)
+        IF (zbuo<0. .AND. prfl(i)>10. * zmftop * zcond(i)) THEN
           kdtop(i) = k
           lddraf(i) = .TRUE.
@@ -1380,19 +1378,20 @@
           pqd(i, k) = zqtest
           pmfd(i, k) = zmftop
-          pmfds(i, k) = pmfd(i, k)*(rcpd*ptd(i,k)+pgeoh(i,k))
-          pmfdq(i, k) = pmfd(i, k)*pqd(i, k)
-          pdmfdp(i, k-1) = -0.5*pmfd(i, k)*zcond(i)
-          prfl(i) = prfl(i) + pdmfdp(i, k-1)
+          pmfds(i, k) = pmfd(i, k) * (rcpd * ptd(i, k) + pgeoh(i, k))
+          pmfdq(i, k) = pmfd(i, k) * pqd(i, k)
+          pdmfdp(i, k - 1) = -0.5 * pmfd(i, k) * zcond(i)
+          prfl(i) = prfl(i) + pdmfdp(i, k - 1)
         END IF
       END IF
     END DO
 
-290 END DO
-
+  290 END DO
 
 END SUBROUTINE flxdlfs
 SUBROUTINE flxddraf(ptenh, pqenh, pgeoh, paph, prfl, ptd, pqd, pmfd, pmfds, &
-    pmfdq, pdmfdp, lddraf, pen_d, pde_d)
+        pmfdq, pdmfdp, lddraf, pen_d, pde_d)
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
 
@@ -1414,8 +1413,7 @@
   include "YOMCST.h"
   include "YOETHF.h"
-  include "YOECUMF.h"
 
   REAL ptenh(klon, klev), pqenh(klon, klev)
-  REAL pgeoh(klon, klev), paph(klon, klev+1)
+  REAL pgeoh(klon, klev), paph(klon, klev + 1)
 
   REAL ptd(klon, klev), pqd(klon, klev)
@@ -1443,5 +1441,5 @@
     is = 0
     DO i = 1, klon
-      llo2(i) = lddraf(i) .AND. pmfd(i, k-1) < 0.
+      llo2(i) = lddraf(i) .AND. pmfd(i, k - 1) < 0.
       IF (llo2(i)) is = is + 1
     END DO
@@ -1450,6 +1448,6 @@
     DO i = 1, klon
       IF (llo2(i)) THEN
-        zentr = entrdd*pmfd(i, k-1)*rd*ptenh(i, k-1)/(rg*paph(i,k-1))* &
-          (paph(i,k)-paph(i,k-1))
+        zentr = entrdd * pmfd(i, k - 1) * rd * ptenh(i, k - 1) / (rg * paph(i, k - 1)) * &
+                (paph(i, k) - paph(i, k - 1))
         pen_d(i, k) = zentr
         pde_d(i, k) = zentr
@@ -1462,6 +1460,6 @@
         IF (llo2(i)) THEN
           pen_d(i, k) = 0.
-          pde_d(i, k) = pmfd(i, itopde)*(paph(i,k)-paph(i,k-1))/ &
-            (paph(i,klev+1)-paph(i,itopde))
+          pde_d(i, k) = pmfd(i, itopde) * (paph(i, k) - paph(i, k - 1)) / &
+                  (paph(i, klev + 1) - paph(i, itopde))
         END IF
       END DO
@@ -1470,15 +1468,15 @@
     DO i = 1, klon
       IF (llo2(i)) THEN
-        pmfd(i, k) = pmfd(i, k-1) + pen_d(i, k) - pde_d(i, k)
-        zseen = (rcpd*ptenh(i,k-1)+pgeoh(i,k-1))*pen_d(i, k)
-        zqeen = pqenh(i, k-1)*pen_d(i, k)
-        zsdde = (rcpd*ptd(i,k-1)+pgeoh(i,k-1))*pde_d(i, k)
-        zqdde = pqd(i, k-1)*pde_d(i, k)
-        zmfdsk = pmfds(i, k-1) + zseen - zsdde
-        zmfdqk = pmfdq(i, k-1) + zqeen - zqdde
-        pqd(i, k) = zmfdqk*(1./min(-cmfcmin,pmfd(i,k)))
-        ptd(i, k) = (zmfdsk*(1./min(-cmfcmin,pmfd(i,k)))-pgeoh(i,k))/rcpd
-        ptd(i, k) = min(400., ptd(i,k))
-        ptd(i, k) = max(100., ptd(i,k))
+        pmfd(i, k) = pmfd(i, k - 1) + pen_d(i, k) - pde_d(i, k)
+        zseen = (rcpd * ptenh(i, k - 1) + pgeoh(i, k - 1)) * pen_d(i, k)
+        zqeen = pqenh(i, k - 1) * pen_d(i, k)
+        zsdde = (rcpd * ptd(i, k - 1) + pgeoh(i, k - 1)) * pde_d(i, k)
+        zqdde = pqd(i, k - 1) * pde_d(i, k)
+        zmfdsk = pmfds(i, k - 1) + zseen - zsdde
+        zmfdqk = pmfdq(i, k - 1) + zqeen - zqdde
+        pqd(i, k) = zmfdqk * (1. / min(-cmfcmin, pmfd(i, k)))
+        ptd(i, k) = (zmfdsk * (1. / min(-cmfcmin, pmfd(i, k))) - pgeoh(i, k)) / rcpd
+        ptd(i, k) = min(400., ptd(i, k))
+        ptd(i, k) = max(100., ptd(i, k))
         zcond(i) = pqd(i, k)
       END IF
@@ -1486,22 +1484,22 @@
 
     iCALL = 2
-    CALL flxadjtq(paph(1,k), ptd(1,k), pqd(1,k), llo2, icall)
+    CALL flxadjtq(paph(1, k), ptd(1, k), pqd(1, k), llo2, icall)
 
     DO i = 1, klon
       IF (llo2(i)) THEN
         zcond(i) = zcond(i) - pqd(i, k)
-        zbuo = ptd(i, k)*(1.+retv*pqd(i,k)) - ptenh(i, k)*(1.+retv*pqenh(i,k) &
-          )
-        llo1 = zbuo < 0. .AND. (prfl(i)-pmfd(i,k)*zcond(i)>0.)
+        zbuo = ptd(i, k) * (1. + retv * pqd(i, k)) - ptenh(i, k) * (1. + retv * pqenh(i, k) &
+                )
+        llo1 = zbuo < 0. .AND. (prfl(i) - pmfd(i, k) * zcond(i)>0.)
         IF (.NOT. llo1) pmfd(i, k) = 0.0
-        pmfds(i, k) = (rcpd*ptd(i,k)+pgeoh(i,k))*pmfd(i, k)
-        pmfdq(i, k) = pqd(i, k)*pmfd(i, k)
-        zdmfdp = -pmfd(i, k)*zcond(i)
-        pdmfdp(i, k-1) = zdmfdp
+        pmfds(i, k) = (rcpd * ptd(i, k) + pgeoh(i, k)) * pmfd(i, k)
+        pmfdq(i, k) = pqd(i, k) * pmfd(i, k)
+        zdmfdp = -pmfd(i, k) * zcond(i)
+        pdmfdp(i, k - 1) = zdmfdp
         prfl(i) = prfl(i) + zdmfdp
       END IF
     END DO
 
-180 END DO
+  180 END DO
 
 END SUBROUTINE flxddraf
@@ -1530,9 +1528,8 @@
   include "FCTTRE.h"
 
-  z5alvcp = r5les*rlvtt/rcpd
-  z5alscp = r5ies*rlstt/rcpd
-  zalvdcp = rlvtt/rcpd
-  zalsdcp = rlstt/rcpd
-
+  z5alvcp = r5les * rlvtt / rcpd
+  z5alscp = r5ies * rlstt / rcpd
+  zalvdcp = rlvtt / rcpd
+  zalsdcp = rlstt / rcpd
 
   DO i = 1, klon
@@ -1542,15 +1539,15 @@
   DO i = 1, klon
     IF (ldflag(i)) THEN
-      zdelta = max(0., sign(1.,rtt-pt(i)))
-      zcvm5 = z5alvcp*(1.-zdelta) + zdelta*z5alscp
-      zldcp = zalvdcp*(1.-zdelta) + zdelta*zalsdcp
-      zqsat = r2es*foeew(pt(i), zdelta)/pp(i)
+      zdelta = max(0., sign(1., rtt - pt(i)))
+      zcvm5 = z5alvcp * (1. - zdelta) + zdelta * z5alscp
+      zldcp = zalvdcp * (1. - zdelta) + zdelta * zalsdcp
+      zqsat = r2es * foeew(pt(i), zdelta) / pp(i)
       zqsat = min(0.5, zqsat)
-      zcor = 1./(1.-retv*zqsat)
-      zqsat = zqsat*zcor
-      zcond(i) = (pq(i)-zqsat)/(1.+foede(pt(i),zdelta,zcvm5,zqsat,zcor))
+      zcor = 1. / (1. - retv * zqsat)
+      zqsat = zqsat * zcor
+      zcond(i) = (pq(i) - zqsat) / (1. + foede(pt(i), zdelta, zcvm5, zqsat, zcor))
       IF (kcall==1) zcond(i) = max(zcond(i), 0.)
       IF (kcall==2) zcond(i) = min(zcond(i), 0.)
-      pt(i) = pt(i) + zldcp*zcond(i)
+      pt(i) = pt(i) + zldcp * zcond(i)
       pq(i) = pq(i) - zcond(i)
     END IF
@@ -1565,26 +1562,26 @@
   DO i = 1, klon
     IF (ldflag(i) .AND. zcond(i)/=0.) THEN
-      zdelta = max(0., sign(1.,rtt-pt(i)))
-      zcvm5 = z5alvcp*(1.-zdelta) + zdelta*z5alscp
-      zldcp = zalvdcp*(1.-zdelta) + zdelta*zalsdcp
-      zqsat = r2es*foeew(pt(i), zdelta)/pp(i)
+      zdelta = max(0., sign(1., rtt - pt(i)))
+      zcvm5 = z5alvcp * (1. - zdelta) + zdelta * z5alscp
+      zldcp = zalvdcp * (1. - zdelta) + zdelta * zalsdcp
+      zqsat = r2es * foeew(pt(i), zdelta) / pp(i)
       zqsat = min(0.5, zqsat)
-      zcor = 1./(1.-retv*zqsat)
-      zqsat = zqsat*zcor
-      zcond1 = (pq(i)-zqsat)/(1.+foede(pt(i),zdelta,zcvm5,zqsat,zcor))
-      pt(i) = pt(i) + zldcp*zcond1
+      zcor = 1. / (1. - retv * zqsat)
+      zqsat = zqsat * zcor
+      zcond1 = (pq(i) - zqsat) / (1. + foede(pt(i), zdelta, zcvm5, zqsat, zcor))
+      pt(i) = pt(i) + zldcp * zcond1
       pq(i) = pq(i) - zcond1
     END IF
   END DO
 
-230 CONTINUE
+  230 CONTINUE
 
 END SUBROUTINE flxadjtq
 SUBROUTINE flxsetup
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
 
   ! THIS ROUTINE DEFINES DISPOSABLE PARAMETERS FOR MASSFLUX SCHEME
-
-  include "YOECUMF.h"
 
   entrpen = 1.0E-4 ! ENTRAINMENT RATE FOR PENETRATIVE CONVECTION
@@ -1605,4 +1602,3 @@
   lmfdudv = .TRUE.
 
-
 END SUBROUTINE flxsetup
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_driver.F90	(revision 5142)
@@ -14,4 +14,6 @@
   USE lmdz_cv30, ONLY: cv30_param, cv30_prelim, cv30_feed, cv30_undilute1, cv30_trigger, cv30_compress, cv30_undilute2, &
           cv30_closure, cv30_epmax_fn_cape, cv30_mixing, cv30_unsat, cv30_yield, cv30_tracer, cv30_uncompress
+  USE lmdz_cv, ONLY: cv_param, cv_prelim, cv_feed, cv_undilute1, cv_trigger, cv_compress, &
+          cv_undilute2, cv_closure, cv_mixing, cv_unsat, cv_yield, cv_uncompress
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5142)
@@ -42,4 +42,7 @@
   USE add_phys_tend_mod, ONLY: fl_cor_ebil
   USE lmdz_abort_physic, ONLY: abort_physic
+  USE lmdz_cv, ONLY: cv_param, cv_prelim, cv_feed, cv_undilute1, cv_trigger, cv_compress, &
+          cv_undilute2, cv_closure, cv_mixing, cv_unsat, cv_yield, cv_uncompress
+
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5142)
@@ -14,4 +14,5 @@
   USE infotrac_phy, ONLY: nbtr
   USE lmdz_conema3
+  USE lmdz_YOECUMF
 
   IMPLICIT NONE 
@@ -23,5 +24,4 @@
 
   include "YOMCST.h"
-  include "YOECUMF.h"
 
 ! Entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5142)
@@ -5,4 +5,6 @@
   USE dimphy
   USE infotrac_phy, ONLY: nbtr
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE 
 !=====================================================================
@@ -11,5 +13,4 @@
 !=====================================================================
   include "YOMCST.h"
-  include "YOECUMF.h" 
 
 ! Entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5142)
@@ -15,4 +15,5 @@
   USE infotrac_phy, ONLY: nbtr
   USE lmdz_conema3
+  USE lmdz_YOECUMF
 
   IMPLICIT NONE 
@@ -24,5 +25,4 @@
 
   include "YOMCST.h"
-  include "YOECUMF.h"
   include "chem.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_spl.F90	(revision 5142)
@@ -15,4 +15,5 @@
   USE infotrac_phy, ONLY: nbtr
   USE lmdz_conema3
+  USE lmdz_YOECUMF
 
   IMPLICIT NONE 
@@ -24,5 +25,4 @@
 
   include "YOMCST.h"
-  include "YOECUMF.h"
   include "chem.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltrorig.F90	(revision 5142)
@@ -5,4 +5,6 @@
   USE dimphy
   USE infotrac_phy, ONLY: nbtr
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE 
 !=====================================================================
@@ -11,5 +13,4 @@
 !=====================================================================
   include "YOMCST.h"
-  include "YOECUMF.h" 
 
 ! Entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5142)
@@ -65,5 +65,6 @@
     USE lmdz_print_control, ONLY: lunout
     USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
-
+    USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
+    USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
     !-----------------------------------------------------------------------
     !     Auteurs :   A. Lahellec  .
@@ -73,6 +74,4 @@
 
     include "compar1d.h"
-    include "tsoilnudge.h"
-    include "fcg_gcssold.h"
     include "fcg_racmo.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5142)
@@ -54,4 +54,6 @@
     USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
+    USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
 
     INCLUDE "dimensions.h"
@@ -60,6 +62,4 @@
     INCLUDE "compar1d.h"
     INCLUDE "date_cas.h"
-    INCLUDE "tsoilnudge.h"
-    INCLUDE "fcg_gcssold.h"
 
     !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5142)
@@ -47,4 +47,6 @@
     USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    USE lmdz_fcs_gcssold, ONLY: imp_fcg_gcssold, ts_fcg_gcssold, Tp_fcg_gcssold, Tp_ini_gcssold, xTurb_fcg_gcssold
+    USE lmdz_tsoilnudge, ONLY: nudge_tsoil, isoil_nudge, Tsoil_nudge, tau_soil_nudge
 
     INCLUDE "dimensions.h"
@@ -53,6 +55,4 @@
     INCLUDE "compar1d.h"
     INCLUDE "date_cas.h"
-    INCLUDE "tsoilnudge.h"
-    INCLUDE "fcg_gcssold.h"
 
     !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flxtr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flxtr.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flxtr.F90	(revision 5142)
@@ -5,4 +5,6 @@
     paprs, kcbot, kctop, kdtop, x, dx)
   USE dimphy
+  USE lmdz_YOECUMF
+
   IMPLICIT NONE
   ! =====================================================================
@@ -26,5 +28,4 @@
 
   include "YOMCST.h"
-  include "YOECUMF.h"
 
   REAL pdtime
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5141)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5142)
@@ -9,4 +9,5 @@
     USE lmdz_clesphys
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    USE lmdz_dimpft, ONLY: nvm_lmdz
 !    USE control, ONLY: nvm
 !    USE indice_sol_mod, ONLY: nvm_orch
@@ -17,6 +18,4 @@
     include "YOMCST.h"
     include "YOEGWD.h"
-!FC 
-    include "dimpft.h"
 
     ! 0. DECLARATIONS:
